Download it now!
Bug 113928 - Read-only checkbox/toggle UNO command
Summary: Read-only checkbox/toggle UNO command
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium enhancement
Assignee: Gülşah Köse
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: UNO-Command-New Read-Only
  Show dependency treegraph
 
Reported: 2017-11-19 08:16 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-12-23 20:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-11-19 08:16:11 UTC
It would be identical to .uno:EditDoc, but would have the opposite toggle behaviour - would be checked/toggle when a document is not editable.
Comment 1 Yousuf Philips (jay) (retired) 2017-11-19 08:17:07 UTC
Gulsah, Jim: either of you want to take this on?
Comment 2 Jim Raykowski 2017-11-19 10:09:17 UTC
Currently working on background tab pages. Also in the progress of resubmitting the paragraph Alignment and Indents & Spacing tabs preview window fixes. Need some guidance on how to go about that [1]. In addition I have some requests for reviews to get to. Gulsah, if you are available for this one, go for it.

[1] https://gerrit.libreoffice.org/#/c/43678/
Comment 3 Gülşah Köse 2017-11-20 13:55:23 UTC
Hi Yousuf, it is hard to understand what that bug report wants. Could you give more detail about it. I have time, maybe i can do it.
Comment 4 Gülşah Köse 2017-11-20 15:28:39 UTC
OK, get it now,
Comment 5 Yousuf Philips (jay) (retired) 2017-11-20 17:39:46 UTC
(In reply to Gülşah Köse from comment #3)
> Hi Yousuf, it is hard to understand what that bug report wants. Could you
> give more detail about it. I have time, maybe i can do it.

Hi Gulsah, so .uno:EditDoc is toggled on when a document is editable and toggled off when its in read only mode. This bug is to create a 'Read Only' command which does the opposite, meaning it is toggled on when a document is in read only mode and toggled off when the document is editable.
Comment 6 Gülşah Köse 2017-11-20 20:50:09 UTC
Done. Needs code review https://gerrit.libreoffice.org/#/c/45005/
Comment 7 Commit Notification 2017-12-17 20:49:51 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5afa76782d192d66711e02400987d6153ef9e5a7

tdf#113928 Add uno:ReadOnlyDoc command.

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-12-18 07:39:08 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=44ac1579f31c4ad7d026f7e2736ad2124e40295e

tdf#113928 More handling of SID_READONLYDOC

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Maxim Monastirsky 2017-12-23 20:48:22 UTC
Seems fixed.